# Interface ZooDefs.OpCode

Enclosing class:
  `ZooDefs`

@Public public static interface ZooDefs.OpCode

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`addWatch`
`static final int`
`auth`
`static final int`
`check`
`static final int`
`checkWatches`
`static final int`
`closeSession`
`static final int`
`create`
`static final int`
`create2`
`static final int`
`createContainer`
`static final int`
`createSession`
`static final int`
`createTTL`
`static final int`
`delete`
`static final int`
`deleteContainer`
`static final int`
`error`
`static final int`
`exists`
`static final int`
`getACL`
`static final int`
`getAllChildrenNumber`
`static final int`
`getChildren`
`static final int`
`getChildren2`
`static final int`
`getData`
`static final int`
`getEphemerals`
`static final int`
`multi`
`static final int`
`multiRead`
`static final int`
`notification`
`static final int`
`ping`
`static final int`
`reconfig`
`static final int`
`removeWatches`
`static final int`
`sasl`
`static final int`
`setACL`
`static final int`
`setData`
`static final int`
`setWatches`
`static final int`
`setWatches2`
`static final int`
`sync`
`static final int`
`whoAmI`

## Field Details

### notification

static final int notification

See Also:
  - Constant Field Values

### create

static final int create

See Also:
  - Constant Field Values

### delete

static final int delete

See Also:
  - Constant Field Values

### exists

static final int exists

See Also:
  - Constant Field Values

### getData

static final int getData

See Also:
  - Constant Field Values

### setData

static final int setData

See Also:
  - Constant Field Values

### getACL

static final int getACL

See Also:
  - Constant Field Values

### setACL

static final int setACL

See Also:
  - Constant Field Values

### getChildren

static final int getChildren

See Also:
  - Constant Field Values

### sync

static final int sync

See Also:
  - Constant Field Values

### ping

static final int ping

See Also:
  - Constant Field Values

### getChildren2

static final int getChildren2

See Also:
  - Constant Field Values

### check

static final int check

See Also:
  - Constant Field Values

### multi

static final int multi

See Also:
  - Constant Field Values

### create2

static final int create2

See Also:
  - Constant Field Values

### reconfig

static final int reconfig

See Also:
  - Constant Field Values

### checkWatches

static final int checkWatches

See Also:
  - Constant Field Values

### removeWatches

static final int removeWatches

See Also:
  - Constant Field Values

### createContainer

static final int createContainer

See Also:
  - Constant Field Values

### deleteContainer

static final int deleteContainer

See Also:
  - Constant Field Values

### createTTL

static final int createTTL

See Also:
  - Constant Field Values

### multiRead

static final int multiRead

See Also:
  - Constant Field Values

### auth

static final int auth

See Also:
  - Constant Field Values

### setWatches

static final int setWatches

See Also:
  - Constant Field Values

### sasl

static final int sasl

See Also:
  - Constant Field Values

### getEphemerals

static final int getEphemerals

See Also:
  - Constant Field Values

### getAllChildrenNumber

static final int getAllChildrenNumber

See Also:
  - Constant Field Values

### setWatches2

static final int setWatches2

See Also:
  - Constant Field Values

### addWatch

static final int addWatch

See Also:
  - Constant Field Values

### whoAmI

static final int whoAmI

See Also:
  - Constant Field Values

### createSession

static final int createSession

See Also:
  - Constant Field Values

### closeSession

static final int closeSession

See Also:
  - Constant Field Values

### error

static final int error

See Also:
  - Constant Field Values